---
title: "danog\\AsyncOrm\\DbAutoProperties: Trait that provides autoconfiguration of OrmMappedArray properties."
description: ""

---
# `danog\AsyncOrm\DbAutoProperties`
[Back to index](../../index.md)

> Author: Daniil Gentili <daniil@daniil.it>  
> Author: Alexander Pankratov <alexander@i-c-a.su>  
  

Trait that provides autoconfiguration of OrmMappedArray properties.  




## Method list:
* [`initDbProperties(\danog\AsyncOrm\Settings $settings, string $tablePrefix): void`](#initDbProperties)
* [`saveDbProperties(): void`](#saveDbProperties)

## Methods:
### <a name="initDbProperties"></a> `initDbProperties(\danog\AsyncOrm\Settings $settings, string $tablePrefix): void`

Initialize database properties.


Parameters:

* `$settings`: `\danog\AsyncOrm\Settings`   
* `$tablePrefix`: `string`   


#### See also: 
* [`\danog\AsyncOrm\Settings`: Base interface for ORM settings.](../../danog/AsyncOrm/Settings.md)




### <a name="saveDbProperties"></a> `saveDbProperties(): void`

Save all properties.



---
Generated by [danog/phpdoc](https://phpdoc.daniil.it)
